Jack::JackBasePosixMutex Class Reference

Mutex abstraction. More...

`#include <JackPosixMutex.h>`

Inheritance diagram for Jack::JackBasePosixMutex:

## Public Member Functions

| JackBasePosixMutex (const char *name=NULL)
bool | Lock ()
bool | Trylock ()
bool | Unlock ()

## Protected Attributes

pthread_mutex_t | fMutex
pthread_t | fOwner

## Detailed Description

Mutex abstraction.

Definition at line 38 of file JackPosixMutex.h.

The documentation for this class was generated from the following files:

- JackPosixMutex.h
- JackPosixMutex.cpp